> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post stripesession



## OpenAPI

````yaml post /stripe/session
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /stripe/session:
    post:
      tags:
        - Stripe
      operationId: StripeController_createSession
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StripeCreateSessionResponse'
      security:
        - bearer: []
components:
  schemas:
    StripeCreateSessionResponse:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
        client_secret:
          type: string
        created:
          type: number
        kyc_details_provided:
          type: boolean
        livemode:
          type: boolean
        metadata:
          type: object
        redirect_url:
          type: string
        status:
          type: string
        transaction_details:
          $ref: '#/components/schemas/StripeCreateSessionResponse_TransactionDetails'
      required:
        - id
        - object
        - client_secret
        - created
        - kyc_details_provided
        - livemode
        - metadata
        - redirect_url
        - status
        - transaction_details
    StripeCreateSessionResponse_TransactionDetails:
      type: object
      properties:
        destination_amount:
          type: number
          nullable: true
        destination_currencies:
          type: array
          items:
            type: string
        destination_currency:
          type: string
        destination_network:
          type: string
        destination_networks:
          type: array
          items:
            type: string
        fees:
          type: number
          nullable: true
        lock_wallet_address:
          type: boolean
        source_amount:
          type: number
          nullable: true
        source_currency:
          type: string
          nullable: true
        transaction_id:
          type: string
          nullable: true
        wallet_address:
          type: string
          nullable: true
        wallet_addresses:
          $ref: >-
            #/components/schemas/StripeCreateSessionResponse_TransactionDetails_WalletAddress
      required:
        - destination_amount
        - destination_currencies
        - destination_currency
        - destination_network
        - destination_networks
        - fees
        - lock_wallet_address
        - source_amount
        - source_currency
        - transaction_id
        - wallet_address
        - wallet_addresses
    StripeCreateSessionResponse_TransactionDetails_WalletAddress:
      type: object
      properties:
        avalanche:
          type: string
          nullable: true
        base_network:
          type: string
          nullable: true
        bitcoin:
          type: string
        destination_tags:
          type: string
          nullable: true
        ethereum:
          type: string
          nullable: true
        polygon:
          type: string
          nullable: true
        solana:
          type: string
          nullable: true
        stellar:
          type: string
          nullable: true
      required:
        - avalanche
        - base_network
        - bitcoin
        - destination_tags
        - ethereum
        - polygon
        - solana
        - stellar
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````